// Initialise the global array that allows the lookup of the depth of a given object
// GM2.0 does not have a depth on objects so on import from 1.x a global array is created
// NOTE: MacroExpansion is used to insert the array initialisation at import time
gml_pragma( "global", "__global_object_depths()");

// insert the generated arrays here
global.__objectDepths[0] = 0; // o_ctrl_main
global.__objectDepths[1] = 0; // o_ctrl_firstrun
global.__objectDepths[2] = 0; // o_btn_fr_setname
global.__objectDepths[3] = 0; // o_btn_fr_tutorial
global.__objectDepths[4] = 0; // o_btn_fr_continue
global.__objectDepths[5] = -1; // o_ctrl_mainmenu
global.__objectDepths[6] = -1000000; // o_btn_mm_srlmode
global.__objectDepths[7] = 0; // o_btn_mm_new
global.__objectDepths[8] = 0; // o_btn_mm_load
global.__objectDepths[9] = 0; // o_btn_mm_options
global.__objectDepths[10] = 0; // o_btn_mm_help
global.__objectDepths[11] = 0; // o_btn_mm_quit
global.__objectDepths[12] = 0; // o_btn_mm_rando
global.__objectDepths[13] = 0; // o_btn_mm_server
global.__objectDepths[14] = 0; // o_btn_mm_update
global.__objectDepths[15] = 0; // o_ctrl_options
global.__objectDepths[16] = 0; // o_btn_op_showoutline
global.__objectDepths[17] = 0; // o_btn_op_coords
global.__objectDepths[18] = 0; // o_btn_op_itemtype
global.__objectDepths[19] = 0; // o_btn_op_scale_up
global.__objectDepths[20] = 0; // o_btn_op_scale_down
global.__objectDepths[21] = 0; // o_btn_op_back
global.__objectDepths[22] = 0; // o_btn_op_dgn_finder_delay
global.__objectDepths[23] = 0; // o_btn_op_dgn_trans
global.__objectDepths[24] = 0; // o_btn_op_colorbox
global.__objectDepths[25] = 0; // o_btn_op_iconsettings
global.__objectDepths[26] = 0; // o_btn_op_reloadgfx
global.__objectDepths[27] = 0; // o_ctrl_iconsettings
global.__objectDepths[28] = 0; // o_btn_iconsettings_back
global.__objectDepths[29] = 0; // o_icon_iconsettings_ow
global.__objectDepths[30] = 0; // o_icon_iconsettings_door
global.__objectDepths[31] = 0; // o_icon_iconsettings_dgn
global.__objectDepths[32] = 0; // o_chk_iconsettings_hotkeys
global.__objectDepths[33] = 0; // o_chk_iconsettings_global
global.__objectDepths[34] = 5000; // o_ctrl_tracker
global.__objectDepths[35] = 0; // o_btn_tr_triforce
global.__objectDepths[36] = 0; // o_btn_tr_bombup
global.__objectDepths[37] = 0; // o_btn_tr_heart
global.__objectDepths[38] = 0; // o_btn_tr_itembox
global.__objectDepths[39] = 0; // o_btn_tr_area
global.__objectDepths[40] = 0; // o_btn_tr_mix
global.__objectDepths[41] = 0; // o_btn_tr_net
global.__objectDepths[42] = 0; // o_btn_tr_quest
global.__objectDepths[43] = -1; // o_btn_tr_view
global.__objectDepths[44] = -1; // o_btn_tr_quickview
global.__objectDepths[45] = -1; // o_btn_tr_dgn_itemtype
global.__objectDepths[46] = 0; // o_tr_grid_overworld
global.__objectDepths[47] = 0; // o_tr_grid_dgn_classic
global.__objectDepths[48] = -2; // o_btn_tr_dungeon_cell
global.__objectDepths[49] = -1; // o_btn_tr_dungeon_door_h
global.__objectDepths[50] = -1; // o_btn_tr_dungeon_door_v
global.__objectDepths[51] = 0; // o_btn_tr_dungeon_pal
global.__objectDepths[52] = 0; // o_btn_tr_dungeon_num
global.__objectDepths[53] = -1000000; // o_ctrl_dgn_finder
global.__objectDepths[54] = -9000000; // o_btn_tr_auto
global.__objectDepths[55] = -9000000; // o_btn_tr_clear
global.__objectDepths[56] = 0; // o_btn_tr_hinticon
global.__objectDepths[57] = 0; // o_btn_tr_trans
global.__objectDepths[58] = 0; // o_btn_tr_shiftdgn
global.__objectDepths[59] = 0; // o_ctrl_rando
global.__objectDepths[60] = 0; // o_btn_rando_back
global.__objectDepths[61] = 0; // o_btn_rando_gen
global.__objectDepths[62] = 0; // o_chk_rando_droptables
global.__objectDepths[63] = 0; // o_chk_rando_lostpaths
global.__objectDepths[64] = 0; // o_chk_rando_owpaths
global.__objectDepths[65] = 0; // o_chk_rando_burnbomb
global.__objectDepths[66] = 0; // o_chk_rando_dgnrooms
global.__objectDepths[67] = 0; // o_chk_rando_nyi
global.__objectDepths[68] = 0; // o_btn_rando_ow_pal_prev
global.__objectDepths[69] = 0; // o_btn_rando_ow_pal_next
global.__objectDepths[70] = 0; // o_btn_rando_mus
global.__objectDepths[71] = 0; // o_btn_rando_seed
global.__objectDepths[72] = 0; // o_btn_rando_seed_rand
global.__objectDepths[73] = 0; // o_btn_rando_seed_clip
global.__objectDepths[74] = 0; // o_btn_rando_rom
global.__objectDepths[75] = -10000; // o_map_rando_player
global.__objectDepths[76] = -10000; // o_map_rando_ow_collision
global.__objectDepths[77] = 0; // o_ctrl_server
global.__objectDepths[78] = 0; // o_btn_server_shutdown
global.__objectDepths[79] = 0; // o_btn_server_resetall
global.__objectDepths[80] = 0; // o_btn_server_kick
global.__objectDepths[81] = 0; // o_btn_server_sync
global.__objectDepths[82] = 0; // o_server_synchandler
global.__objectDepths[83] = 0; // o_server_synchandler_dgn
global.__objectDepths[84] = 0; // o_chk_server_audio
global.__objectDepths[85] = 0; // o_ctrl_testbed
global.__objectDepths[86] = 0; // o_ctrl_warning
global.__objectDepths[87] = 0; // o_btn_warn_continue


global.__objectNames[0] = "o_ctrl_main";
global.__objectNames[1] = "o_ctrl_firstrun";
global.__objectNames[2] = "o_btn_fr_setname";
global.__objectNames[3] = "o_btn_fr_tutorial";
global.__objectNames[4] = "o_btn_fr_continue";
global.__objectNames[5] = "o_ctrl_mainmenu";
global.__objectNames[6] = "o_btn_mm_srlmode";
global.__objectNames[7] = "o_btn_mm_new";
global.__objectNames[8] = "o_btn_mm_load";
global.__objectNames[9] = "o_btn_mm_options";
global.__objectNames[10] = "o_btn_mm_help";
global.__objectNames[11] = "o_btn_mm_quit";
global.__objectNames[12] = "o_btn_mm_rando";
global.__objectNames[13] = "o_btn_mm_server";
global.__objectNames[14] = "o_btn_mm_update";
global.__objectNames[15] = "o_ctrl_options";
global.__objectNames[16] = "o_btn_op_showoutline";
global.__objectNames[17] = "o_btn_op_coords";
global.__objectNames[18] = "o_btn_op_itemtype";
global.__objectNames[19] = "o_btn_op_scale_up";
global.__objectNames[20] = "o_btn_op_scale_down";
global.__objectNames[21] = "o_btn_op_back";
global.__objectNames[22] = "o_btn_op_dgn_finder_delay";
global.__objectNames[23] = "o_btn_op_dgn_trans";
global.__objectNames[24] = "o_btn_op_colorbox";
global.__objectNames[25] = "o_btn_op_iconsettings";
global.__objectNames[26] = "o_btn_op_reloadgfx";
global.__objectNames[27] = "o_ctrl_iconsettings";
global.__objectNames[28] = "o_btn_iconsettings_back";
global.__objectNames[29] = "o_icon_iconsettings_ow";
global.__objectNames[30] = "o_icon_iconsettings_door";
global.__objectNames[31] = "o_icon_iconsettings_dgn";
global.__objectNames[32] = "o_chk_iconsettings_hotkeys";
global.__objectNames[33] = "o_chk_iconsettings_global";
global.__objectNames[34] = "o_ctrl_tracker";
global.__objectNames[35] = "o_btn_tr_triforce";
global.__objectNames[36] = "o_btn_tr_bombup";
global.__objectNames[37] = "o_btn_tr_heart";
global.__objectNames[38] = "o_btn_tr_itembox";
global.__objectNames[39] = "o_btn_tr_area";
global.__objectNames[40] = "o_btn_tr_mix";
global.__objectNames[41] = "o_btn_tr_net";
global.__objectNames[42] = "o_btn_tr_quest";
global.__objectNames[43] = "o_btn_tr_view";
global.__objectNames[44] = "o_btn_tr_quickview";
global.__objectNames[45] = "o_btn_tr_dgn_itemtype";
global.__objectNames[46] = "o_tr_grid_overworld";
global.__objectNames[47] = "o_tr_grid_dgn_classic";
global.__objectNames[48] = "o_btn_tr_dungeon_cell";
global.__objectNames[49] = "o_btn_tr_dungeon_door_h";
global.__objectNames[50] = "o_btn_tr_dungeon_door_v";
global.__objectNames[51] = "o_btn_tr_dungeon_pal";
global.__objectNames[52] = "o_btn_tr_dungeon_num";
global.__objectNames[53] = "o_ctrl_dgn_finder";
global.__objectNames[54] = "o_btn_tr_auto";
global.__objectNames[55] = "o_btn_tr_clear";
global.__objectNames[56] = "o_btn_tr_hinticon";
global.__objectNames[57] = "o_btn_tr_trans";
global.__objectNames[58] = "o_btn_tr_shiftdgn";
global.__objectNames[59] = "o_ctrl_rando";
global.__objectNames[60] = "o_btn_rando_back";
global.__objectNames[61] = "o_btn_rando_gen";
global.__objectNames[62] = "o_chk_rando_droptables";
global.__objectNames[63] = "o_chk_rando_lostpaths";
global.__objectNames[64] = "o_chk_rando_owpaths";
global.__objectNames[65] = "o_chk_rando_burnbomb";
global.__objectNames[66] = "o_chk_rando_dgnrooms";
global.__objectNames[67] = "o_chk_rando_nyi";
global.__objectNames[68] = "o_btn_rando_ow_pal_prev";
global.__objectNames[69] = "o_btn_rando_ow_pal_next";
global.__objectNames[70] = "o_btn_rando_mus";
global.__objectNames[71] = "o_btn_rando_seed";
global.__objectNames[72] = "o_btn_rando_seed_rand";
global.__objectNames[73] = "o_btn_rando_seed_clip";
global.__objectNames[74] = "o_btn_rando_rom";
global.__objectNames[75] = "o_map_rando_player";
global.__objectNames[76] = "o_map_rando_ow_collision";
global.__objectNames[77] = "o_ctrl_server";
global.__objectNames[78] = "o_btn_server_shutdown";
global.__objectNames[79] = "o_btn_server_resetall";
global.__objectNames[80] = "o_btn_server_kick";
global.__objectNames[81] = "o_btn_server_sync";
global.__objectNames[82] = "o_server_synchandler";
global.__objectNames[83] = "o_server_synchandler_dgn";
global.__objectNames[84] = "o_chk_server_audio";
global.__objectNames[85] = "o_ctrl_testbed";
global.__objectNames[86] = "o_ctrl_warning";
global.__objectNames[87] = "o_btn_warn_continue";


// create another array that has the correct entries
var len = array_length_1d(global.__objectDepths);
global.__objectID2Depth = [];
for( var i=0; i<len; ++i ) {
	var objID = asset_get_index( global.__objectNames[i] );
	if (objID >= 0) {
		global.__objectID2Depth[ objID ] = global.__objectDepths[i];
	} // end if
} // end for